Loading ...
Sorry, an error occurred while loading the content.

Gnome2 GUI dependencies

Expand Messages
  • Atilla Filiz
    I am trying to compile(7.3.138) on my Pardus Linux box with the following two commands ./configure --with-features=huge --enable-gui=gnome2 --enable-cscope
    Message 1 of 2 , Mar 14, 2011
    • 0 Attachment
      I am trying to compile(7.3.138) on my Pardus Linux box with the following two commands

      ./configure --with-features=huge --enable-gui=gnome2 --enable-cscope
      make -j4

      I do not get any compilation errors whatsoever but gvim and friends are not built.
      A closer inspection shows 
      GNOME_LIBDIR=''
      GNOME_LIBS=''
      GNOME_INCLUDEDIR=''
      in config.log

      If I try the commands manually

      $ pkg-config --cflags libgnomeui-2.0 
      -DORBIT2=1 -D_REENTRANT -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/libpng14

      $ pkg-config --libs-only-L libgnomeui-2.0 
      (nothing)
       
      $ pkg-config --libs-only-l libgnomeui-2.0 
      -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpango-1.0 -lfreetype -lfontconfig -lpng14 -lgconf-2 -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -lpthread -lrt -lglib-2.0  

      The only strange output is -L flag(no directories?). Then why are the other variables empty as well? How can I see which dependencies I am missing so that I can install them first? Pardus has a weird package manager and development dependencies are not always handled properly.
      --
      Atilla Filiz


      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    • Tony Mechelynck
      ... If you still have the stdout/stderr log from configure, check that. Otherwise, use src/auto/config.log which is usually more verbose than you need. You
      Message 2 of 2 , Mar 15, 2011
      • 0 Attachment
        On 14/03/11 17:53, Atilla Filiz wrote:
        > I am trying to compile(7.3.138) on my Pardus Linux box with the
        > following two commands
        >
        > ./configure --with-features=huge --enable-gui=gnome2 --enable-cscope
        > make -j4
        >
        > I do not get any compilation errors whatsoever but gvim and friends are
        > not built.
        > A closer inspection shows
        > GNOME_LIBDIR=''
        > GNOME_LIBS=''
        > GNOME_INCLUDEDIR=''
        > in config.log
        >
        > If I try the commands manually
        >
        > $ pkg-config --cflags libgnomeui-2.0
        > -DORBIT2=1 -D_REENTRANT -I/usr/include/libgnomeui-2.0
        > -I/usr/include/libart-2.0 -I/usr/include/gconf/2
        > -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0
        > -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0
        > -I/usr/include/gtk-2.0 -I/usr/include/gdk-pixbuf-2.0
        > -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
        > -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0
        > -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0
        > -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2
        > -I/usr/include/pango-1.0 -I/usr/include/gail-1.0
        > -I/usr/include/freetype2 -I/usr/include/atk-1.0
        > -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1
        > -I/usr/include/libpng14
        >
        > $ pkg-config --libs-only-L libgnomeui-2.0
        > (nothing)
        > $ pkg-config --libs-only-l libgnomeui-2.0
        > -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2
        > -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2
        > -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0
        > -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpango-1.0 -lfreetype
        > -lfontconfig -lpng14 -lgconf-2 -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0
        > -lpthread -lrt -lglib-2.0
        >
        > The only strange output is -L flag(no directories?). Then why are the
        > other variables empty as well? How can I see which dependencies I am
        > missing so that I can install them first? Pardus has a weird package
        > manager and development dependencies are not always handled properly.
        > --
        > Atilla Filiz


        If you still have the stdout/stderr log from configure, check that.
        Otherwise, use src/auto/config.log which is usually more verbose than
        you need. You might try "viewing" them in Vim, searching for
        /\cgnome\|gtk/ and looking at what it says between the first and last
        occurrences of these patterns in your latest configure run. This might
        give you a hint about which package(s) was/were looked for and not found.

        IMPORTANT: Don't forget to install all corresponding "development"
        packages (whose names, excluding version and architecture, end in -dev
        for Debian/Ubuntu, in -devel for RedHat/SuSE, and I don't know for other
        distros). If you don't trust the package manager, search for them (if
        you can) then install them manually.


        Here are the "compiler" and "linker" arguments for my "Huge" build of
        Vim with Gnome2 GUI on 64-bit openSUSE 11.4:

        Compilation: gcc -c -I. -Iproto -DHAVE_CONFIG_H -DFEAT_GUI_GTK -pthread
        -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include
        -I/usr/include/atk-1.0 -I/usr/include/cairo
        -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0
        -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
        -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14
        -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/libgnomeui-2.0
        -I/usr/include/libart-2.0 -I/usr/include/gconf/2
        -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0
        -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0
        -I/usr/include/gtk-2.0 -I/usr/include/gdk-pixbuf-2.0
        -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include
        -I/usr/include/orbit-2.0 -I/usr/include/glib-2.0
        -I/usr/lib64/glib-2.0/include -I/usr/include/libbonobo-2.0
        -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2
        -I/usr/include/pango-1.0 -I/usr/include/gail-1.0
        -I/usr/include/freetype2 -I/usr/include/atk-1.0
        -I/usr/lib64/gtk-2.0/include -I/usr/include/cairo
        -I/usr/include/pixman-1 -I/usr/include/libpng14 -O2
        -fno-strength-reduce -Wall -D_FORTIFY_SOURCE=1 -I/usr/include
        -D_LARGEFILE64_SOURCE=1

        Linking: gcc -L. -rdynamic -Wl,-export-dynamic -Wl,-E
        -Wl,-rpath,/usr/lib/perl5/5.12.3/x86_64-linux-thread-multi/CORE
        -L/usr/local/lib -Wl,--as-needed -o vim -pthread -lgtk-x11-2.0
        -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0
        -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig
        -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0
        -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2
        -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2
        -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0
        -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpango-1.0 -lfreetype
        -lfontconfig -lpng14 -lgconf-2 -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0
        -lrt -lglib-2.0 -lSM -lICE -lXpm -lXt -lX11 -lXdmcp -lSM -lICE -lm
        -lncurses -lnsl -lacl -lattr -lgpm -L/usr/lib -llua -Wl,-E
        -Wl,-rpath,/usr/lib/perl5/5.12.3/x86_64-linux-thread-multi/CORE
        -L/usr/local/lib64 -fstack-protector
        -L/usr/lib/perl5/5.12.3/x86_64-linux-thread-multi/CORE -lperl -lm -ldl
        -lcrypt -lpthread -L/usr/lib64/python2.7/config -lpython2.7 -lpthread
        -ldl -lutil -lm -Xlinker -export-dynamic -L/usr/lib64 -ltcl8.5 -ldl
        -lieee -lm -Wl,-R -Wl,/usr/lib64 -L/usr/lib64 -lruby -lrt -ldl -lcrypt
        -lm



        Best regards,
        Tony.
        --
        hundred-and-one symptoms of being an internet addict:
        29. Your phone bill comes to your doorstep in a box.

        --
        You received this message from the "vim_dev" maillist.
        Do not top-post! Type your reply below the text you are replying to.
        For more information, visit http://www.vim.org/maillist.php
      Your message has been successfully submitted and would be delivered to recipients shortly.